import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Form, Row, Col, Input } from 'antd'
// import './index.scss'

class ReplaceForm extends Component {
  static propTpyes = {
    inputSubmit: PropTypes.func // 回车事件
  }

  componentDidMount () {
    try {
      let _form = document.getElementById('origin')
      if (_form && _form.select) {
        _form.select()
      }
    } catch (e) {
      console.warn('Form focusing error！')
    }
  }

  handleConfirm = () => {
    // 表单提交时检查输入值是否正确
    return new Promise((resolve, reject) => {
      this.props.form.validateFieldsAndScroll((err, values) => {
        if (!err) {
          resolve(values)
        }
      })
    })
  }

  enterPress = (e) => {
    e.stopPropagation()

    setTimeout(() => {
      this.props.inputSubmit()
    }, 200)
  }

  render() {
    const { getFieldDecorator } = this.props.form
    const formItemLayout = {
      labelCol: {
        xs: { span: 24 },
        sm: { span: 8 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 14 }
      }
    }
    return (
      <Form {...formItemLayout}>
        <Row gutter={24}>
          <Col span={24}>
            <Form.Item label="原字符">
              {getFieldDecorator('origin', {
                initialValue: '',
                rules: [
                  {
                    required: true,
                    message: '请输入原字符!'
                  }
                ]
              })(<Input autoComplete="off" onPressEnter={this.enterPress}/>)}
            </Form.Item>
          </Col>
          <Col span={24}>
            <Form.Item label="替换为">
              {getFieldDecorator('value', {
                initialValue: ''
              })(<Input autoComplete="off" onPressEnter={this.enterPress}/>)}
            </Form.Item>
          </Col>
        </Row>
      </Form>
    )
  }
}

export default Form.create()(ReplaceForm)